'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2019/3/5
 * @version
 */
//建设项目基本信息库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const materialLib = new Schema({
    ID: {type: String, index: true},
    name: String,
    creator: String,
    createDate: Number,
    recentOpr: [oprSchema],
    materials: {
        type: Schema.Types.Mixed,
        default: []
    }
}, {versionKey: false});
mongoose.model('std_material_lib', materialLib, 'std_material_lib');